Extend GST Session Token Validity
GET
https://apisandbox.whitebooks.in/authentication/refreshtokenRefresh token can be used by GSP to extend access through Authorization code and allow for access to data on behalf of tax payer / tax consultant without user intervention.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/authentication/refreshtoken. Required parameters: email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Request for extension of authorization token (GET
/authentication/refreshtoken), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Refresh token can be used by GSP to extend access through Authorization code and allow for access to data on behalf of tax payer / tax consultant without user intervention.
No example available.